﻿package 
{
	import caurina.transitions.properties.*;
	import caurina.transitions.*;
	import flash.display.*;
	import flash.events.*;
	
	public class Main extends Sprite 
	{
		[Embed(source = 'rss_icon_glass_red64.PNG')]
		private var BtnImage:Class;
		
		/*======================================================================*//**
		 * コンストラクター(はじめに実行されます)
		 */
		public function Main():void 
		{
			// 明るさを制御できるようにショートカットを登録
			ColorShortcuts.init();
			
			// ボタンを作成
			var btn:Sprite = new Sprite();
			btn.buttonMode = true;
			btn.addChild(new BtnImage() as Bitmap);
			
			// ボタンを画面中央に配置
			btn.x = stage.stageWidth / 2;
			btn.y = stage.stageHeight / 2;
			addChild(btn);
			
			//　マウスのモーションを設定
			btn.addEventListener(MouseEvent.ROLL_OVER, overHandler);
			btn.addEventListener(MouseEvent.ROLL_OUT, outHandler);
			btn.addEventListener(MouseEvent.MOUSE_DOWN, downHandler);
			btn.addEventListener(MouseEvent.MOUSE_UP, upHandler);
		}
		
		/*======================================================================*//**
		 * マウスオーバーしたときの演出です
		 */
		private function overHandler(e:MouseEvent):void 
		{
			// 明るくする
			Tweener.addTween(e.currentTarget,
			{
				_brightness	: 0.4,
				time        : 0.5
			});
		}
		
		/*======================================================================*//**
		 * マウスアウトしたときの演出です
		 */
		private function outHandler(e:MouseEvent):void 
		{
			// 明るさを元に戻す
			Tweener.addTween(e.currentTarget,
			{
				_brightness	: 0,
				time        : 0.5
			});
		}
		
		/*======================================================================*//**
		 * onPressしたときの処理です
		 */
		private function upHandler(e:MouseEvent):void 
		{
			// 暗くする
			Tweener.addTween(e.currentTarget,
			{
				_brightness	: 0.4,
				time        : 0.5
			});
		}
		
		/*======================================================================*//**
		 * onReleaseしたときの処理です
		 */
		private function downHandler(e:MouseEvent):void 
		{
			// 明るさを元に戻す
			Tweener.addTween(e.currentTarget,
			{
				_brightness	: -0.4,
				time        : 0.5
			});
		}
	}
}